<?php

/**
 * @file
 * Custom hooks exposed by the views_access_conditions module.
 */

declare(strict_types=1);

use Drupal\Core\Form\FormStateInterface;

/**
 * Alter the conditions available for views access.
 *
 * @param array $conditions
 *   The array of conditions to alter.
 * @param \Drupal\Core\Form\FormStateInterface $form_state
 *   The form state object.
 * @param string $form_id
 *   (Optional) The form_id of the form being altered.
 */
function hook_views_access_conditions_available_conditions_alter(array &$conditions, ?FormStateInterface $form_state = NULL, ?string $form_id = NULL): void {
  // Example: Remove specific conditions that shouldn't be available for views
  // access.
  $conditions_to_remove = [
    'language',
    'request_path',
  ];
  $conditions = array_diff_key($conditions, array_flip($conditions_to_remove));
}
